Create Submission
curl --request POST \
--url https://speakerweave.com/v1/events/{event_id}/submissions \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"title": "<string>",
"submitter_email": "<string>",
"abstract": "",
"submitter_first_name": "",
"submitter_last_name": "",
"track_id": "<string>",
"format_id": "<string>"
}
'import requests
url = "https://speakerweave.com/v1/events/{event_id}/submissions"
payload = {
"title": "<string>",
"submitter_email": "<string>",
"abstract": "",
"submitter_first_name": "",
"submitter_last_name": "",
"track_id": "<string>",
"format_id": "<string>"
}
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
submitter_email: '<string>',
abstract: '',
submitter_first_name: '',
submitter_last_name: '',
track_id: '<string>',
format_id: '<string>'
})
};
fetch('https://speakerweave.com/v1/events/{event_id}/submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}v1-public
Create Submission
POST
/
v1
/
events
/
{event_id}
/
submissions
Create Submission
Authorizations
Path Parameters
Body
application/json
Required string length:
1 - 300Required string length:
3 - 320Maximum string length:
50000Maximum string length:
200Maximum string length:
200Maximum string length:
64Maximum string length:
64Response
Successful Response
The response is of type Response Create Submission V1 Events Event Id Submissions Post · object.
⌘I

